Page MenuHomeVyOS Platform

IPSec configuration directive deletion fails, causes bad IPSec state on reboot.
Closed, ResolvedPublicBUG

Description

rt02# delete vpn ipsec include-ipsec-conf
[edit]
rt02# commit
[ vpn ]
Can't use string ("VPN configuration error: Ipsec i"...) as an ARRAY ref while "strict refs" in use at /opt/vyatta/share/perl5/Vyatta/Config.pm line 712.
Warning: unable to [start ipsec], received error code 512
 
 
[[vpn]] failed
Commit failed
[edit]

Deletion of this directive fails. If the configuration applied has an error it will cause all VPN directives to disappear from the running config next boot. VPN directives still exist in saved config, but will not be applied. VPN directives can also not be modified until the bad configuration file is removed by hand or /etc/ipsec.conf edited by hand, and the system reboots.

Details

Difficulty level
Normal (likely a few hours)
Version
VyOS 1.2.0-rolling+201805091542
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Perfectly compatible

Event Timeline

syncer triaged this task as Normal priority.
syncer edited projects, added VyOS 1.2 Crux (VyOS 1.2.0-rc1); removed VyOS 1.2 Crux.
syncer changed the task status from Open to Needs testing.Feb 8 2019, 12:01 AM
c-po removed c-po as the assignee of this task.Apr 27 2019, 9:41 AM
c-po added a subscriber: c-po.
dmbaturin changed Difficulty level from Unknown (require assessment) to Normal (likely a few hours).Jan 27 2021, 7:10 PM
dmbaturin set Is it a breaking change? to Perfectly compatible.